ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package projections
  Definition Classes
    adam
- AlignmentField
- DbxrefField
- FeatureField
- FieldEnumeration
- FieldValue
- Filter
- FragmentField
- GenotypeField
- OntologyTermField
- Projection
- ReadField
- ReadGroupField
- ReferenceField
- SampleField
- SequenceField
- SliceField
- TranscriptEffectField
- VariantAnnotationField
- VariantCallingAnnotationsField
- VariantField

o

org.bdgenomics.adam.projections

# Projection 

###

#### object Projection

Avro utility object to create a projection of a Schema.

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Projection
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(exclude: Boolean, includedFields: FieldValue*): Schema

   Creates a projection that either includes or excludes a variable number of fields.

   Creates a projection that either includes or excludes a variable number of fields.

   exclude

     If false, includes the provided fields in the projection. If true, the provided fields will be excluded, and all other fields from the record will be included in the projection.

   includedFields

     If exclude is false, fields to include in the projection. Else, fields to exclude from the projection.

   returns

     Returns the specified schema with the fields predicated out.

   Note

     The schema is inferred from the provided FieldValues. Undefined behavior may result if you provide FieldValues from multiple different FieldEnumerations.

     ,

     Unlike the other apply methods, this method will allow you to project down to zero fields, which may cause an exception when loading from disk.

5.  def apply(includedFields: FieldValue*): Schema

   Creates a projection that includes a variable number of fields.

   Creates a projection that includes a variable number of fields.

   includedFields

     Fields to include in the projection

   returns

     Returns the specified schema with the fields predicated out.

   Exceptions thrown

     `IllegalArgumentException` if there are no fields included in the projection.

   Note

     The schema is inferred from the provided FieldValues. Undefined behavior may result if you provide FieldValues from multiple different FieldEnumerations.

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped